Skip to main content
GET
List a company's trials

Authorizations

Authorization
string
header
required

Use a personal or organization Pav API key from Pav developer settings. Send it as Authorization: Bearer <api_key>.

Path Parameters

company_id
integer
required

Company id.

Example:

127

Query Parameters

via
enum<string>
default:any

program, sponsor or any (default).

Available options:
program,
sponsor,
any
phase
string[] | null

Phases, comma-separated (1-4).

Example:

"3"

status
string[] | null

Recruitment statuses, comma-separated.

Example:

"recruiting"

from
string<date> | null

On or after this date.

to
string<date> | null

On or before this date.

sort
string | null

One of start_date, last_update_post_date, enrollment_count, nct_id; prefix - to descend. Default nct_id.

limit
integer
default:50

Rows per page (1-200).

Required range: 1 <= x <= 200
Example:

50

cursor
string | null

next_cursor from the previous page.

Maximum string length: 2000

Response

Successful Response

data
Trial · object[]
required

Page of clinical-trial rows.

next_cursor
string | null

Pass as cursor to get the next page. Null on the last page. See Conventions.

Example:

"eyJyIjoicHJvZ3JhbXMiLCJzIjoiY29tcGFueSJ9"

total
integer | null

Rows matching the filters. Null for relevance-ranked q results.

Example:

1284